;------------------------------------------------------------------------------
;
; C128 Bank1 memory routines.
;
; Written for cc65 by Joseph Rose.  If you find these routines useful, e-mail
; me.
;
; This module copies a data buffer between the two banks.
;
;------------------------------------------------------------------------------

.importzp	sp, ptr1, ptr2, regbank
.import		incsp6
.import		popax

;.importzp	bank_readaddr,	bank_writeaddr
;.import		bank_read,	bank_write
.import		bank1_readbyteoffs2, bank1_writebytedirect

;.export		_bank1_memcpyto
.export		_bank1_memcpyfrom2
;.export		_bank1_memcpyin
.import		_ftype, _ftext
.importzp	_curmptr
.code
_bank1_memcpyfrom2:
;Get length of block to copy.
	;jsr	popax
	;sta	regbank
	;stx	regbank+1
	lda	_curmptr
	ldx	_curmptr+1
	sta	ptr1
	stx	ptr1+1
;Get source.
	;jsr	popax
	;sta	ptr1
	;stx	ptr1+1
;Get destination.
	;jsr	popax
;Set byte offset to 0 (direct pointers).
@copypage:
	ldy	#31
@copypagelp:
	jsr	bank1_readbyteoffs2
	sta	_ftype,y
	dey
	bpl	@copypagelp
@exit:
	rts

