/*
 * Marc 'BlackJack' Rintsch, 06.03.2001
 *
 * unsigned int cbm_load(const char* name,
 *                       unsigned char device,
 *                       const unsigned char* data);
 */

#include <cbm.h>
#include "membank128.h"

/* loads file "name" from given device to given address or to the load address
 * of the file if "data" is 0
 */
//unsigned int cbm_load(const char* name, unsigned char device, void* data)
static const char m[]="lowmem";
void cbm_load2(void)
{
    /* LFN is set to 0 but it's not needed for loading.
     * (BASIC V2 sets it to the value of the SA for LOAD) */
    /*cbm_k_setbnk (0,0);
    cbm_k_setlfs(0, 8, 1);
    cbm_k_setnam("lowmem");
    //return (cbm_k_load(0, (unsigned int)data) - (unsigned int)data);
    cbm_k_load(0, 0);*/
    __asm__ (
		"\tsta\t$ff03\n"
		"\tlda\t#0\n"
		"\ttax\n"
		//"\tjsr\tsetbnk\n"
		"\tjsr\t$ff68\n"
		"\tlda\t#0\n"
		"\tldx\t#8\n"
		"\tldy\t#1\n"
		//"\tjsr\tsetlfs\n"
		"\tjsr\t$ffba\n"
		"\tlda\t#6\n"
		"\tldx\t#<_m\n"
		"\tldy\t#>_m\n"
		//"\tjsr\tsetnam\n"
		"\tjsr\t$ffbd\n"
		"\tlda\t#0\n"
		"\ttax\n"
		"\ttay\n"
		//"\tjsr\tload\n"
		"\tjsr\t$ffd5\n"
		"\tsta\t$ff01\n"
	);
}
