/***********************************************************************
 * 
 * Individual module for the cc65 compiler.
 *
 * The template for this file was created by TempC Module Creator by
 * Joseph Rose.  This template can be used in your programs, provided
 * you mention TempC in your software's documentation.  If this source
 * code is distributed, this copyright must be included in the file.
 *
 ***********************************************************************/

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <conio.h>
#include <c128.h>

#include "simpleio_mb128_80col.h"
#include "membank128.h"
#include "madlib128.h"

#pragma bss-name ("TAPEBSS")

#pragma local-strings (on)

extern unsigned char cate;
#pragma zpsym ("cate")
extern unsigned char cursto;
#pragma zpsym ("cursto")
extern unsigned curptr;
#pragma zpsym ("curptr")
extern struct story* k;
#pragma zpsym ("k")
extern unsigned char j;
#pragma zpsym ("j")


//static unsigned char cate;
//static unsigned cursto, rnd;

//unsigned __fastcall__ hstrchr(char* s, char t);
/*{
	//char* i=s;
	char c;
	while ((c=hidereadb(s))!=t){
		if (c==0) return 0;
	} return s;
}*/
#pragma code-name (push, "APPCODE")
static struct story* GetStory (unsigned char c)
{
//printu (&stories[c]);
	return &stories[c];
}

void havestory (void)
{
	cursto=0;
	_randomize();
	j=rand()%catecount[cate];
//printu (cate); getkey ();
	while (1) {
		k=GetStory (cursto);
//bank1_print (bank1_readword(&k->name)); printcr (); 
//printu (bank1_readbyte(&k->cate)); getkey();
		if (bank1_readbyte(&k->cate)==cate) {
			--j;
			if ((signed char)j<0) break;
		}
		++cursto;
//printc ('.');
	}
	//--cursto;
//printu (cursto); printc (','); printu (&stories[cursto].text); printc ('>'); printcr();
//printu (hidereadw((unsigned)&stories[cursto].text)); printcr();
//printh (hidereadw((unsigned)stories[cursto].text));
//getkey();
	//getmod (hidereadw((unsigned*)hidereadw((unsigned*)stories[cursto].text)));
/*printu (bank1_readword((unsigned*)&stories[cursto].text)); printc (',');
printu (&stories[cursto].text); printc (',');
printu (cursto); printcr ();*/
//bank1_print ((stories[cursto].text));
//bank1_print (bank1_readword(1034));
//getkey ();
	getmod (bank1_readword(&k->text));
	//getmod (1034);
	//hstrcpy(curmod, hidereadw((unsigned)&stories[0].text));
	dispstory (bank1_readword(&k->name));
}

#pragma code-name (pop)

void cbm_load2(void);
void bank1_cbm_load2(void);

void main ()
{
	//static char c;
	prints ("Loading data...");
	bank1_cbm_load2 ();//("madlibb", 8, 0);
//return;
	cbm_load2 ();
	//cbm_k_setbnk (0, 0);
	//cbm_load ("lowmem", 8, 0);
//printu (*(char*)0x1300);
	printscr ("Done!");
	//bordercolor (COLOR_CYAN);
	//bgcolor (COLOR_WHITE); textcolor (COLOR_RED);
	//brdrcol=COLOR_CYAN; backcol=COLOR_WHITE; //textcol=COLOR_RED;
	//clrscr ();	  0123456789012345678901234567890123456789
#pragma rodata-name ("APPCONST")
	printscr ("Please switch to 80-column mode!"); videomode (VIDEOMODE_80x25);
	backcol(COLOR_WHITE);
start:
	printscr	("\f\x1C"
			 "          Welcome to \x1EMadLib128\x1C by \x1FJoseph Rose\x1C, a.k.a. \x98Harry Potter\x1C!");
	for (cate=78; cate--;) printc (96);
	printscr (
			 //"---------------------------------------\n"
			 "\nPlease choose the category of a desired story:\n\n"

			 "\x95""a\x1C.  Science Fiction\n"
			 "\x95""b\x1C.  Fantasy\n"
			 "\x95""c\x1C.  Generic\n\n"
			 "\x95""x\x1C.  Exit\n"
			 );
	cate=getkey();
	if (cate=='x') {
		printscr("Bye!  I hoped you enjoyed this program.  If you like it, please send me an\n"
		"e-mail at rose.joseph12@yahoo.com.");
		getkey();
		return;
	}
	cate-='a'; if (cate>=3) {
		prints ("Invalid option!  press any key to try again...");
		getkey();
		goto start;
	}
	havestory ();
	goto start;
}
